javaws(1)

Name
javaws Command Line

  NAME

    javaws - Java Web Start launcher command

  SYNOPSIS

    javaws [run-options] <jnlp>

    javaws [control-options]

  PARAMETERS

    [run-options]

        Command-line run-options. run-options may be in any order. For a discussion of the various run-options, see RUN-OPTIONS below.

    <jnlp>

        This can be either the path of, or the Uniform Resource Locater (URL) of the JNLP (Java Network Launching Protocol) file.

    [control-options]

        Command-line control-options. control-options may be in any order. For a discussion of the various control-options, see CONTROL-OPTIONS below.

  DESCRIPTION

    The javaws command launches Java Web Start, which is the reference implementation of the Java Network Launching Protocol (JNLP). Java Web Start launches Java applications/applets hosted on a network.

    If a JNLP file is specified, javaws will launch the Java application/applet specified in the JNLP file.

    The javaws launcher has a set of options that are supported in the current release. However, the options may be removed in a future release.

  RUN-OPTIONS

    -offline

        run Java Web Start in offline mode.

    -Xnosplash

        disable the display of the initial splash screen.

    -open <arguments>

        If specified, replaces the arguments in the jnlp file with -open <arguments>.

    -print <arguments>

        If specified, replaces the arguments in the jnlp file with -print <arguments>.

    -online

        run in online mode (default behavior).

    -wait

        If specified, the javaws process will not exit until the application exits.

    -verbose

        display additional output.

    -J<option>

        supply options to the vm.

    -system

        run the application from the system cache only.

  CONTROL-OPTIONS

    -viewer

        show the Cache Viewer in the java control panel

    -userConfig <property name>

        clear the specified deployment property.

    -userConfig <property name> <property value>

        set the specified deployment property to the specified value.

    -uninstall

        remove all applications from the cache.

    -uninstall <jnlp>

        remove the application from the cache.

    -import [import-options] <jnlp>

        import the application to the cache.

    IMPORT-OPTIONS

    -silent

        import silently (with no user interface).

    -system

        import application to the system cache.

    -codebase <url>

        retrieve resources from the given codebase.

    -shortcut

        install shortcuts as if user allowed prompt. This option has no effect unless -silent option is also used.

    -association

        install associations as if user allowed prompt. This option has no effect unless -silent option is also used.

  FILES

    For information about the user and system cache and deployment.properties files, see System- and User-Level Properties @
    http://java.sun.com/javase/6/docs/technotes/guides/deployment/deployment-guide/properties.html.

  MORE INFORMATION

    For more information about Java Web Start, see Java Web Start @
    http://java.sun.com/javase/6/docs/technotes/guides/javaws/index.html.